A B C D E F G H I L M N O P Q R S T U V W _

A

abort() - Method in interface org.apache.commons.httpclient.HttpMethod
Aborts the execution of the HTTP method.
abort() - Method in class org.apache.commons.httpclient.HttpMethodBase
Aborts the execution of this method.
abs_path - Static variable in class org.apache.commons.httpclient.URI
URI absolute path.
absoluteURI - Static variable in class org.apache.commons.httpclient.URI
BitSet for absoluteURI.
add(HttpConnection) - Method in class org.apache.commons.httpclient.util.IdleConnectionHandler
Registers the given connection with this handler.
addConnectionManager(HttpConnectionManager) - Method in class org.apache.commons.httpclient.util.IdleConnectionTimeoutThread
Adds a connection manager to be handled by this class.
addContentLengthRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.methods.EntityEnclosingMethod
Generates Content-Length or Transfer-Encoding: Chunked request header, as long as no Content-Length request header already exists.
addContentLengthRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Adds a Content-Length request header, as long as no Content-Length request header already exists.
addContentTypeRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Adds a Content-Type request header.
addCookie(Cookie) - Method in class org.apache.commons.httpclient.HttpState
Adds an HTTP cookie, replacing any existing equivalent cookies.
addCookieRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.ConnectMethod
This method does nothing.
addCookieRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.HttpMethodBase
Generates Cookie request headers for those cookies that match the given host, port and path.
addCookies(Cookie[]) - Method in class org.apache.commons.httpclient.HttpState
Adds an array of HTTP cookies.
addHeader(Header) - Method in class org.apache.commons.httpclient.HeaderGroup
Adds the given header to the group.
addHostRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.HttpMethodBase
Generates Host request header, as long as no Host request header already exists.
addParameter(String, String) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Adds a text field part
addParameter(String, File) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Adds a binary file part
addParameter(String, String, File) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Adds a binary file part with the given file name
addParameter(String, String) - Method in class org.apache.commons.httpclient.methods.PostMethod
Adds a new parameter to be used in the POST request body.
addParameter(NameValuePair) - Method in class org.apache.commons.httpclient.methods.PostMethod
Adds a new parameter to be used in the POST request body.
addParameters(NameValuePair[]) - Method in class org.apache.commons.httpclient.methods.PostMethod
Adds an array of parameters to be used in the POST request body.
addPart(Part) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Adds a part.
addProxyConnectionHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.HttpMethodBase
Generates Proxy-Connection: Keep-Alive request header when communicating via a proxy server.
addRequestHeader(String, String) - Method in interface org.apache.commons.httpclient.HttpMethod
Adds the specified request header, not overwriting any previous value.
addRequestHeader(Header) - Method in interface org.apache.commons.httpclient.HttpMethod
Adds the specified request header, not overwriting any previous value.
addRequestHeader(Header) - Method in class org.apache.commons.httpclient.HttpMethodBase
Adds the specified request header, NOT overwriting any previous value.
addRequestHeader(String, String) - Method in class org.apache.commons.httpclient.HttpMethodBase
Adds the specified request header, NOT overwriting any previous value.
addRequestHeaders(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.ConnectMethod
Populates the request headers map to with additional headers to be submitted to the given HttpConnection.
addRequestHeaders(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.HttpMethodBase
Generates all the required request headers to be submitted via the given connection.
addRequestHeaders(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.methods.EntityEnclosingMethod
Populates the request headers map to with additional headers to be submitted to the given HttpConnection.
addRequestHeaders(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.methods.ExpectContinueMethod
Sets the Expect header if it has not already been set, in addition to the "standard" set of headers.
addRequestHeaders(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.methods.MultipartPostMethod
Deprecated. Populates the request headers map to with additional headers to be submitted to the given HttpConnection.
addResponseFooter(Header) - Method in interface org.apache.commons.httpclient.HttpMethod
Add a footer to this method's response.
addResponseFooter(Header) - Method in class org.apache.commons.httpclient.HttpMethodBase
Use this method internally to add footers.
addUserAgentRequestHeader(HttpState, HttpConnection) - Method in class org.apache.commons.httpclient.HttpMethodBase
Generates default User-Agent request header, as long as no User-Agent request header already exists.
ALLOW_CIRCULAR_REDIRECTS - Static variable in class org.apache.commons.httpclient.params.HttpClientParams
Defines whether circular redirects (redirects to the same location) should be allowed.
allowed_abs_path - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the abs_path.
allowed_authority - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the authority component.
allowed_fragment - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the fragment component.
allowed_host - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the host component.
allowed_IPv6reference - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the IPv6reference component.
allowed_opaque_part - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the opaque_part.
allowed_query - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the query component.
allowed_reg_name - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the reg_name.
allowed_rel_path - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the rel_path.
allowed_userinfo - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the userinfo component.
allowed_within_authority - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for the authority component.
allowed_within_path - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed within the path.
allowed_within_query - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed within the query component.
allowed_within_userinfo - Static variable in class org.apache.commons.httpclient.URI
Those characters that are allowed for within the userinfo component.
alpha - Static variable in class org.apache.commons.httpclient.URI
BitSet for alpha.
alphanum - Static variable in class org.apache.commons.httpclient.URI
BitSet for alphanum (join of alpha & digit).
ANY - Static variable in class org.apache.commons.httpclient.auth.AuthScope
Default scope matching any host, port, realm and authentication scheme.
ANY_HOST - Static variable in class org.apache.commons.httpclient.auth.AuthScope
The null value represents any host.
ANY_HOST_CONFIGURATION - Static variable in class org.apache.commons.httpclient.HostConfiguration
A value to represent any host configuration, instead of using something like null.
ANY_PORT - Static variable in class org.apache.commons.httpclient.auth.AuthScope
The -1 value represents any port.
ANY_REALM - Static variable in class org.apache.commons.httpclient.auth.AuthScope
The null value represents any realm.
ANY_SCHEME - Static variable in class org.apache.commons.httpclient.auth.AuthScope
The null value represents any authentication scheme.
assertNotOpen() - Method in class org.apache.commons.httpclient.HttpConnection
Throws an IllegalStateException if the connection is already open.
assertOpen() - Method in class org.apache.commons.httpclient.HttpConnection
Throws an IllegalStateException if the connection is not open.
AUTH_SCHEME_PRIORITY - Static variable in class org.apache.commons.httpclient.auth.AuthPolicy
The key used to look up the list of IDs of supported authentication schemes in their order of preference.
AuthChallengeException - Exception in org.apache.commons.httpclient.auth
Signals a failure processing authentication challenge
AuthChallengeException() - Constructor for exception org.apache.commons.httpclient.auth.AuthChallengeException
Creates a new AuthChallengeException with a null detail message.
AuthChallengeException(String) - Constructor for exception org.apache.commons.httpclient.auth.AuthChallengeException
Creates a new AuthChallengeException with the specified message.
AuthChallengeException(String, Throwable) - Constructor for exception org.apache.commons.httpclient.auth.AuthChallengeException
Creates a new AuthChallengeException with the specified detail message and cause.
AuthChallengeParser - Class in org.apache.commons.httpclient.auth
This class provides utility methods for parsing HTTP www and proxy authentication challenges.
AuthChallengeParser() - Constructor for class org.apache.commons.httpclient.auth.AuthChallengeParser
 
AuthChallengeProcessor - Class in org.apache.commons.httpclient.auth
This class provides utility methods for processing HTTP www and proxy authentication challenges.
AuthChallengeProcessor(HttpParams) - Constructor for class org.apache.commons.httpclient.auth.AuthChallengeProcessor
Creates an authentication challenge processor with the given HTTP parameters
authenticate(Credentials, String, String) - Method in interface org.apache.commons.httpclient.auth.AuthScheme
Deprecated. Use AuthScheme.authenticate(Credentials, HttpMethod) Produces an authorization string for the given set of Credentials, method name and URI using the given authentication scheme in response to the actual authorization challenge.
authenticate(Credentials, HttpMethod) - Method in interface org.apache.commons.httpclient.auth.AuthScheme
Produces an authorization string for the given set of Credentials.
authenticate(Credentials, String, String) - Method in class org.apache.commons.httpclient.auth.BasicScheme
Deprecated. Use BasicScheme.authenticate(Credentials, HttpMethod)
authenticate(Credentials, HttpMethod) - Method in class org.apache.commons.httpclient.auth.BasicScheme
Produces basic authorization string for the given set of Credentials.
authenticate(UsernamePasswordCredentials) - Static method in class org.apache.commons.httpclient.auth.BasicScheme
Deprecated. Use BasicScheme.authenticate(UsernamePasswordCredentials, String) Returns a basic Authorization header value for the given UsernamePasswordCredentials.
authenticate(UsernamePasswordCredentials, String) - Static method in class org.apache.commons.httpclient.auth.BasicScheme
Returns a basic Authorization header value for the given UsernamePasswordCredentials and charset.
authenticate(Credentials, String, String) - Method in class org.apache.commons.httpclient.auth.DigestScheme
Deprecated. Use DigestScheme.authenticate(Credentials, HttpMethod)
authenticate(Credentials, HttpMethod) - Method in class org.apache.commons.httpclient.auth.DigestScheme
Produces a digest authorization string for the given set of Credentials, method name and URI.
authenticate(AuthScheme, HttpMethod, HttpConnection, HttpState) - Static method in class org.apache.commons.httpclient.auth.HttpAuthenticator
Deprecated. use AuthScheme
authenticate(NTCredentials, String) - Static method in class org.apache.commons.httpclient.auth.NTLMScheme
Deprecated. Use non-static NTLMScheme.authenticate(Credentials, HttpMethod)
authenticate(NTCredentials, String, String) - Static method in class org.apache.commons.httpclient.auth.NTLMScheme
Deprecated. Use non-static NTLMScheme.authenticate(Credentials, HttpMethod)
authenticate(Credentials, String, String) - Method in class org.apache.commons.httpclient.auth.NTLMScheme
Deprecated. Use NTLMScheme.authenticate(Credentials, HttpMethod)
authenticate(Credentials, HttpMethod) - Method in class org.apache.commons.httpclient.auth.NTLMScheme
Produces NTLM authorization string for the given set of Credentials.
authenticateDefault(HttpMethod, HttpConnection, HttpState) - Static method in class org.apache.commons.httpclient.auth.HttpAuthenticator
Deprecated. use AuthScheme
authenticateProxy(AuthScheme, HttpMethod, HttpConnection, HttpState) - Static method in class org.apache.commons.httpclient.auth.HttpAuthenticator
Deprecated. use AuthScheme
authenticateProxyDefault(HttpMethod, HttpConnection, HttpState) - Static method in class org.apache.commons.httpclient.auth.HttpAuthenticator
Deprecated. use AuthScheme
AuthenticationException - Exception in org.apache.commons.httpclient.auth
Signals a failure in authentication process
AuthenticationException() - Constructor for exception org.apache.commons.httpclient.auth.AuthenticationException
Creates a new AuthenticationException with a null detail message.
AuthenticationException(String) - Constructor for exception org.apache.commons.httpclient.auth.AuthenticationException
Creates a new AuthenticationException with the specified message.
AuthenticationException(String, Throwable) - Constructor for exception org.apache.commons.httpclient.auth.AuthenticationException
Creates a new AuthenticationException with the specified detail message and cause.
authority - Static variable in class org.apache.commons.httpclient.URI
BitSet for authority.
AuthPolicy - Class in org.apache.commons.httpclient.auth
Authentication policy class.
AuthPolicy() - Constructor for class org.apache.commons.httpclient.auth.AuthPolicy
 
AuthScheme - Interface in org.apache.commons.httpclient.auth
This interface represents an abstract challenge-response oriented authentication scheme.
AuthSchemeBase - Class in org.apache.commons.httpclient.auth
Deprecated. No longer used
AuthSchemeBase(String) - Constructor for class org.apache.commons.httpclient.auth.AuthSchemeBase
Deprecated. Use parameterless constructor and AuthScheme.processChallenge(String) method
AuthScope - Class in org.apache.commons.httpclient.auth
The class represents an authentication scope consisting of a host name, a port number, a realm name and an authentication scheme name which Credentials apply to.
AuthScope(String, int, String, String) - Constructor for class org.apache.commons.httpclient.auth.AuthScope
Creates a new credentials scope for the given host, port, realm, and authentication scheme.
AuthScope(String, int, String) - Constructor for class org.apache.commons.httpclient.auth.AuthScope
Creates a new credentials scope for the given host, port, realm, and any authentication scheme.
AuthScope(String, int) - Constructor for class org.apache.commons.httpclient.auth.AuthScope
Creates a new credentials scope for the given host, port, any realm name, and any authentication scheme.
AuthScope(AuthScope) - Constructor for class org.apache.commons.httpclient.auth.AuthScope
Creates a copy of the given credentials scope.
AuthState - Class in org.apache.commons.httpclient.auth
This class provides detailed information about the state of the authentication process.
AuthState() - Constructor for class org.apache.commons.httpclient.auth.AuthState
Default constructor.
available() - Method in class org.apache.commons.httpclient.ContentLengthInputStream
 

B

BASIC - Static variable in class org.apache.commons.httpclient.auth.AuthPolicy
Basic authentication scheme as defined in RFC2617 (considered inherently insecure, but most widely supported)
BasicScheme - Class in org.apache.commons.httpclient.auth
Basic authentication scheme as defined in RFC 2617.
BasicScheme() - Constructor for class org.apache.commons.httpclient.auth.BasicScheme
Default constructor for the basic authetication scheme.
BasicScheme(String) - Constructor for class org.apache.commons.httpclient.auth.BasicScheme
Deprecated. Use parameterless constructor and AuthScheme.processChallenge(String) method
BOUNDARY - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Deprecated. use HttpMethodParams.MULTIPART_BOUNDARY
BOUNDARY_BYTES - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Deprecated.  
BROWSER_COMPATIBILITY - Static variable in class org.apache.commons.httpclient.cookie.CookiePolicy
The policy that provides high degree of compatibilty with common cookie management of popular HTTP agents.
BUFFER_WARN_TRIGGER_LIMIT - Static variable in class org.apache.commons.httpclient.params.HttpMethodParams
Sets the maximum buffered response size (in bytes) that triggers no warning.
ByteArrayPartSource - Class in org.apache.commons.httpclient.methods.multipart
A PartSource that reads from a byte array.
ByteArrayPartSource(String, byte[]) - Constructor for class org.apache.commons.httpclient.methods.multipart.ByteArrayPartSource
Constructor for ByteArrayPartSource.
ByteArrayRequestEntity - Class in org.apache.commons.httpclient.methods
A RequestEntity that contains an array of bytes.
ByteArrayRequestEntity(byte[]) - Constructor for class org.apache.commons.httpclient.methods.ByteArrayRequestEntity
Creates a new entity with the given content.
ByteArrayRequestEntity(byte[], String) - Constructor for class org.apache.commons.httpclient.methods.ByteArrayRequestEntity
Creates a new entity with the given content and content type.

C

CHARSET - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content charset
CHARSET_BYTES - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content charset as a byte array
checkNotUsed() - Method in class org.apache.commons.httpclient.HttpMethodBase
Throws an IllegalStateException if the HTTP method has been already executed, but not recycled.
checkUsed() - Method in class org.apache.commons.httpclient.HttpMethodBase
Throws an IllegalStateException if the HTTP method has not been executed since last recycle.
checkValid() - Method in class org.apache.commons.httpclient.HttpsURL
Verify the valid class use for construction.
checkValid() - Method in class org.apache.commons.httpclient.HttpURL
Verify the valid class use for construction.
ChunkedInputStream - Class in org.apache.commons.httpclient
Transparently coalesces chunks of a HTTP stream that uses Transfer-Encoding chunked.
ChunkedInputStream(InputStream, HttpMethod) - Constructor for class org.apache.commons.httpclient.ChunkedInputStream
ChunkedInputStream constructor that associates the chunked input stream with a HTTP method.
ChunkedInputStream(InputStream) - Constructor for class org.apache.commons.httpclient.ChunkedInputStream
ChunkedInputStream constructor
ChunkedOutputStream - Class in org.apache.commons.httpclient
Implements HTTP chunking support.
ChunkedOutputStream(OutputStream, int) - Constructor for class org.apache.commons.httpclient.ChunkedOutputStream
Wraps a stream and chunks the output.
ChunkedOutputStream(OutputStream) - Constructor for class org.apache.commons.httpclient.ChunkedOutputStream
Wraps a stream and chunks the output.
CircularRedirectException - Exception in org.apache.commons.httpclient
Signals a circular redirect
CircularRedirectException() - Constructor for exception org.apache.commons.httpclient.CircularRedirectException
Creates a new CircularRedirectException with a null detail message.
CircularRedirectException(String) - Constructor for exception org.apache.commons.httpclient.CircularRedirectException
Creates a new CircularRedirectException with the specified detail message.
CircularRedirectException(String, Throwable) - Constructor for exception org.apache.commons.httpclient.CircularRedirectException
Creates a new CircularRedirectException with the specified detail message and cause.
clear() - Method in class org.apache.commons.httpclient.HeaderGroup
Removes any contained headers.
clear() - Method in class org.apache.commons.httpclient.HttpState
Clears the state information (all cookies, credentials and proxy credentials).
clear() - Method in class org.apache.commons.httpclient.params.DefaultHttpParams
Removes all parameters from this collection.
clearCookies() - Method in class org.apache.commons.httpclient.HttpState
Clears all cookies.
clearCredentials() - Method in class org.apache.commons.httpclient.HttpState
Clears all credentials.
clearProxyCredentials() - Method in class org.apache.commons.httpclient.HttpState
Clears all proxy credentials.
clearRequestBody() - Method in class org.apache.commons.httpclient.methods.EntityEnclosingMethod
Clears the request body.
clearRequestBody() - Method in class org.apache.commons.httpclient.methods.PostMethod
Clears request body.
clone() - Method in class org.apache.commons.httpclient.HostConfiguration
 
clone() - Method in class org.apache.commons.httpclient.HttpHost
 
clone() - Method in class org.apache.commons.httpclient.params.DefaultHttpParams
Clones this collection of parameters.
clone() - Method in class org.apache.commons.httpclient.ProxyHost
 
clone() - Method in class org.apache.commons.httpclient.URI
Create and return a copy of this object, the URI-reference containing the userinfo component.
close() - Method in class org.apache.commons.httpclient.ChunkedInputStream
Upon close, this reads the remainder of the chunked message, leaving the underlying socket at a position to start reading the next response without scanning.
close() - Method in class org.apache.commons.httpclient.ChunkedOutputStream
Finishes writing to the underlying stream, but does NOT close the underlying stream.
close() - Method in class org.apache.commons.httpclient.ContentLengthInputStream
Reads until the end of the known length of content.
close() - Method in class org.apache.commons.httpclient.HttpConnection
Closes the socket and streams.
closeIdleConnections(long) - Method in interface org.apache.commons.httpclient.HttpConnectionManager
Closes connections that have been idle for at least the given amount of time.
closeIdleConnections(long) - Method in class org.apache.commons.httpclient.MultiThreadedHttpConnectionManager
 
closeIdleConnections(long) - Method in class org.apache.commons.httpclient.SimpleHttpConnectionManager
 
closeIdleConnections(long) - Method in class org.apache.commons.httpclient.util.IdleConnectionHandler
Closes connections that have been idle for at least the given amount of time.
closeIfStale() - Method in class org.apache.commons.httpclient.HttpConnection
Closes the connection if stale.
closeSocketAndStreams() - Method in class org.apache.commons.httpclient.HttpConnection
Closes everything out.
COMMENT - Static variable in class org.apache.commons.httpclient.cookie.Cookie2
 
COMMENTURL - Static variable in class org.apache.commons.httpclient.cookie.Cookie2
 
compare(Object, Object) - Method in class org.apache.commons.httpclient.Cookie
Compares two cookies to determine order for cookie header.
compare(Object, Object) - Method in class org.apache.commons.httpclient.cookie.CookiePathComparator
 
compareTo(HttpVersion) - Method in class org.apache.commons.httpclient.HttpVersion
Compares this HTTP protocol version with another one.
compareTo(Object) - Method in class org.apache.commons.httpclient.HttpVersion
 
compareTo(Object) - Method in class org.apache.commons.httpclient.URI
Compare this URI to another object.
COMPATIBILITY - Static variable in class org.apache.commons.httpclient.cookie.CookiePolicy
Deprecated. Use CookiePolicy.BROWSER_COMPATIBILITY
connect() - Method in class org.apache.commons.httpclient.ProxyClient
Creates a socket that is connected, via the HTTP CONNECT method, to a proxy.
connect() - Method in class org.apache.commons.httpclient.util.HttpURLConnection
Not available: the data must have already been retrieved.
CONNECTION_MANAGER_CLASS - Static variable in class org.apache.commons.httpclient.params.HttpClientParams
Defines the default HTTP connection manager class.
CONNECTION_MANAGER_TIMEOUT - Static variable in class org.apache.commons.httpclient.params.HttpClientParams
Sets the timeout in milliseconds used when retrieving an HTTP connection from the HTTP connection manager.
CONNECTION_TIMEOUT - Static variable in class org.apache.commons.httpclient.params.HttpConnectionParams
Determines the timeout until a connection is etablished.
ConnectionPoolTimeoutException - Exception in org.apache.commons.httpclient
A timeout while connecting waiting for an available connection from an HttpConnectionManager.
ConnectionPoolTimeoutException() - Constructor for exception org.apache.commons.httpclient.ConnectionPoolTimeoutException
Creates a ConnectTimeoutException with a null detail message.
ConnectionPoolTimeoutException(String) - Constructor for exception org.apache.commons.httpclient.ConnectionPoolTimeoutException
Creates a ConnectTimeoutException with the specified detail message.
ConnectionPoolTimeoutException(String, Throwable) - Constructor for exception org.apache.commons.httpclient.ConnectionPoolTimeoutException
Creates a new ConnectTimeoutException with the specified detail message and cause.
ConnectMethod - Class in org.apache.commons.httpclient
Establishes a tunneled HTTP connection via the CONNECT method.
ConnectMethod() - Constructor for class org.apache.commons.httpclient.ConnectMethod
Deprecated. use #ConnectMethod(HttpHost); Create a connect method.
ConnectMethod(HttpMethod) - Constructor for class org.apache.commons.httpclient.ConnectMethod
Deprecated. the wrapped method is no longer used Create a connect method wrapping the existing method
ConnectMethod(HostConfiguration) - Constructor for class org.apache.commons.httpclient.ConnectMethod
Create a connect method.
ConnectTimeoutException - Exception in org.apache.commons.httpclient
A timeout while connecting to an HTTP server or waiting for an available connection from an HttpConnectionManager.
ConnectTimeoutException() - Constructor for exception org.apache.commons.httpclient.ConnectTimeoutException
Creates a ConnectTimeoutException with a null detail message.
ConnectTimeoutException(String) - Constructor for exception org.apache.commons.httpclient.ConnectTimeoutException
Creates a ConnectTimeoutException with the specified detail message.
ConnectTimeoutException(String, Throwable) - Constructor for exception org.apache.commons.httpclient.ConnectTimeoutException
Creates a new ConnectTimeoutException with the specified detail message and cause.
containsHeader(String) - Method in class org.apache.commons.httpclient.HeaderGroup
Tests if headers with the given name are contained within this group.
CONTENT_DISPOSITION - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content dispostion characters
CONTENT_DISPOSITION_BYTES - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content dispostion as a byte array
CONTENT_LENGTH_AUTO - Static variable in class org.apache.commons.httpclient.methods.EntityEnclosingMethod
Deprecated. Use InputStreamRequestEntity.CONTENT_LENGTH_AUTO.
CONTENT_LENGTH_AUTO - Static variable in class org.apache.commons.httpclient.methods.InputStreamRequestEntity
The content length will be calculated automatically.
CONTENT_LENGTH_CHUNKED - Static variable in class org.apache.commons.httpclient.methods.EntityEnclosingMethod
Deprecated. Use EntityEnclosingMethod.setContentChunked(boolean).
CONTENT_TRANSFER_ENCODING - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content type header
CONTENT_TRANSFER_ENCODING_BYTES - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content type header as a byte array
CONTENT_TYPE - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content type header
CONTENT_TYPE_BYTES - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Content type header as a byte array
ContentLengthInputStream - Class in org.apache.commons.httpclient
Cuts the wrapped InputStream off after a specified number of bytes.
ContentLengthInputStream(InputStream, int) - Constructor for class org.apache.commons.httpclient.ContentLengthInputStream
Deprecated. use ContentLengthInputStream.ContentLengthInputStream(InputStream, long) Creates a new length limited stream
ContentLengthInputStream(InputStream, long) - Constructor for class org.apache.commons.httpclient.ContentLengthInputStream
Creates a new length limited stream
control - Static variable in class org.apache.commons.httpclient.URI
BitSet for control.
ControllerThreadSocketFactory - Class in org.apache.commons.httpclient.protocol
This helper class is intedned to help work around the limitation of older Java versions (older than 1.4) that prevents from specifying a connection timeout when creating a socket.
ControllerThreadSocketFactory.SocketTask - Class in org.apache.commons.httpclient.protocol
Helper class for wrapping socket based tasks.
ControllerThreadSocketFactory.SocketTask() - Constructor for class org.apache.commons.httpclient.protocol.ControllerThreadSocketFactory.SocketTask
 
Cookie - Class in org.apache.commons.httpclient
HTTP "magic-cookie" represents a piece of state information that the HTTP agent and the target server can exchange to maintain a session.
Cookie() - Constructor for class org.apache.commons.httpclient.Cookie
Default constructor.
Cookie(String, String, String) - Constructor for class org.apache.commons.httpclient.Cookie
Creates a cookie with the given name, value and domain attribute.
Cookie(String, String, String, String, Date, boolean) - Constructor for class org.apache.commons.httpclient.Cookie
Creates a cookie with the given name, value, domain attribute, path attribute, expiration attribute, and secure attribute
Cookie(String, String, String, String, int, boolean) - Constructor for class org.apache.commons.httpclient.Cookie
Creates a cookie with the given name, value, domain attribute, path attribute, maximum age attribute, and secure attribute
Cookie2 - Class in org.apache.commons.httpclient.cookie
Cookie class for RFC2965Spec cookie specification.
Cookie2() - Constructor for class org.apache.commons.httpclient.cookie.Cookie2
Default constructor.
Cookie2(String, String, String) - Constructor for class org.apache.commons.httpclient.cookie.Cookie2
Creates a cookie with the given name, value and domain attribute.
Cookie2(String, String, String, String, Date, boolean) - Constructor for class org.apache.commons.httpclient.cookie.Cookie2
Creates a cookie with the given name, value, domain attribute, path attribute, expiration attribute, and secure attribute
Cookie2(String, String, String, String, Date, boolean, int[]) - Constructor for class org.apache.commons.httpclient.cookie.Cookie2
Creates a cookie with the given name, value, domain attribute, path attribute, expiration attribute, secure attribute, and ports attribute.
COOKIE_POLICY - Static variable in class org.apache.commons.httpclient.params.HttpMethodParams
Defines cookie policy to be used for cookie management.
CookieAttributeHandler - Interface in org.apache.commons.httpclient.cookie
Ths interface represents a cookie attribute handler responsible for parsing, validating, and matching a specific cookie attribute, such as path, domain, port, etc.
CookieOrigin - Class in org.apache.commons.httpclient.cookie
CookieOrigin class incapsulates details of an origin server that are relevant when parsing, validating or matching HTTP cookies.
CookieOrigin(String, int, String, boolean) - Constructor for class org.apache.commons.httpclient.cookie.CookieOrigin
 
CookiePathComparator - Class in org.apache.commons.httpclient.cookie
This cookie comparator ensures that multiple cookies satisfying a common criteria are ordered in the Cookie header such that those with more specific Path attributes precede those with less specific.
CookiePathComparator() - Constructor for class org.apache.commons.httpclient.cookie.CookiePathComparator
 
CookiePolicy - Class in org.apache.commons.httpclient.cookie
Cookie management policy class.
CookiePolicy() - Constructor for class org.apache.commons.httpclient.cookie.CookiePolicy
 
cookies - Variable in class org.apache.commons.httpclient.HttpState
Array of cookies that this HTTP state contains.
CookieSpec - Interface in org.apache.commons.httpclient.cookie
Defines the cookie management specification.
CookieSpecBase - Class in org.apache.commons.httpclient.cookie
Cookie management functions shared by all specification.
CookieSpecBase() - Constructor for class org.apache.commons.httpclient.cookie.CookieSpecBase
Default constructor
CookieVersionSupport - Interface in org.apache.commons.httpclient.cookie
Defines cookie specification specific capabilities
createCnonce() - Static method in class org.apache.commons.httpclient.auth.DigestScheme
Creates a random cnonce value based on the current time.
createInputStream() - Method in class org.apache.commons.httpclient.methods.multipart.ByteArrayPartSource
 
createInputStream() - Method in class org.apache.commons.httpclient.methods.multipart.FilePartSource
Return a new FileInputStream for the current filename.
createInputStream() - Method in interface org.apache.commons.httpclient.methods.multipart.PartSource
Gets a new InputStream for reading this source.
createParams() - Method in class org.apache.commons.httpclient.params.DefaultHttpParamsFactory
 
createSocket(ProtocolSocketFactory, String, int, InetAddress, int, int) - Static method in class org.apache.commons.httpclient.protocol.ControllerThreadSocketFactory
This method spawns a controller thread overseeing the process of socket initialisation.
createSocket(ControllerThreadSocketFactory.SocketTask, int) - Static method in class org.apache.commons.httpclient.protocol.ControllerThreadSocketFactory
 
createSocket(String, int, InetAddress, int) - Method in class org.apache.commons.httpclient.protocol.DefaultProtocolSocketFactory
 
createSocket(String, int, InetAddress, int, HttpConnectionParams) - Method in class org.apache.commons.httpclient.protocol.DefaultProtocolSocketFactory
Attempts to get a new socket connection to the given host within the given time limit.
createSocket(String, int) - Method in class org.apache.commons.httpclient.protocol.DefaultProtocolSocketFactory
 
createSocket(String, int, InetAddress, int) - Method in interface org.apache.commons.httpclient.protocol.ProtocolSocketFactory
Gets a new socket connection to the given host.
createSocket(String, int, InetAddress, int, HttpConnectionParams) - Method in interface org.apache.commons.httpclient.protocol.ProtocolSocketFactory
Gets a new socket connection to the given host.
createSocket(String, int) - Method in interface org.apache.commons.httpclient.protocol.ProtocolSocketFactory
Gets a new socket connection to the given host.
createSocket(String, String, int, InetAddress, int, int) - Static method in class org.apache.commons.httpclient.protocol.ReflectionSocketFactory
This method attempts to execute Socket method available since Java 1.4 using reflection.
createSocket(Socket, String, int, boolean) - Method in interface org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory
Returns a socket connected to the given host that is layered over an existing socket.
createSocket(String, int, InetAddress, int) - Method in class org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory
 
createSocket(String, int, InetAddress, int, HttpConnectionParams) - Method in class org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory
Attempts to get a new socket connection to the given host within the given time limit.
createSocket(String, int) - Method in class org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory
 
createSocket(Socket, String, int, boolean) - Method in class org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory
 
CREDENTIAL_CHARSET - Static variable in class org.apache.commons.httpclient.params.HttpMethodParams
Defines the charset to be used when encoding Credentials.
Credentials - Interface in org.apache.commons.httpclient
Authentication credentials.
CredentialsNotAvailableException - Exception in org.apache.commons.httpclient.auth
Authentication credentials required to respond to a authentication challenge are not available
CredentialsNotAvailableException() - Constructor for exception org.apache.commons.httpclient.auth.CredentialsNotAvailableException
Creates a new CredentialsNotAvailableException with a null detail message.
CredentialsNotAvailableException(String) - Constructor for exception org.apache.commons.httpclient.auth.CredentialsNotAvailableException
Creates a new CredentialsNotAvailableException with the specified message.
CredentialsNotAvailableException(String, Throwable) - Constructor for exception org.apache.commons.httpclient.auth.CredentialsNotAvailableException
Creates a new CredentialsNotAvailableException with the specified detail message and cause.
CredentialsProvider - Interface in org.apache.commons.httpclient.auth
Credentials provider interface can be used to provide HTTP method with a means to request authentication credentials if no credentials have been given or given credentials are incorrect.
credMap - Variable in class org.apache.commons.httpclient.HttpState
Map of credentials by realm that this HTTP state contains.
CRLF - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Carriage return/linefeed
CRLF_BYTES - Static variable in class org.apache.commons.httpclient.methods.multipart.Part
Carriage return/linefeed as a byte array

D

DATE_PATTERNS - Static variable in class org.apache.commons.httpclient.params.HttpMethodParams
The key used to look up the date patterns used for parsing.
DateParseException - Exception in org.apache.commons.httpclient.util
An exception to indicate an error parsing a date string.
DateParseException() - Constructor for exception org.apache.commons.httpclient.util.DateParseException
 
DateParseException(String) - Constructor for exception org.apache.commons.httpclient.util.DateParseException
 
DateParser - Class in org.apache.commons.httpclient.util
Deprecated. Use DateUtil
DateUtil - Class in org.apache.commons.httpclient.util
A utility class for parsing and formatting HTTP dates as used in cookies and other headers.
decode(char[], String) - Static method in class org.apache.commons.httpclient.URI
Decodes URI encoded string.
decode(String, String) - Static method in class org.apache.commons.httpclient.URI
Decodes URI encoded string.
decode(char[], String) - Static method in class org.apache.commons.httpclient.util.URIUtil.Coder
Deprecated. use org.apache.commons.codec.net.URLCodec
decode(String) - Static method in class org.apache.commons.httpclient.util.URIUtil
Unescape and decode a given string regarded as an escaped string with the default protocol charset.
decode(String, String) - Static method in class org.apache.commons.httpclient.util.URIUtil
Unescape and decode a given string regarded as an escaped string.
DEFAULT - Static variable in class org.apache.commons.httpclient.cookie.CookiePolicy
The default cookie policy.
DEFAULT_CHARSET - Static variable in class org.apache.commons.httpclient.methods.multipart.FilePart
Default charset of file attachments.
DEFAULT_CHARSET - Static variable in class org.apache.commons.httpclient.methods.multipart.StringPart
Default charset of string parameters
DEFAULT_CONTENT_CHARSET - Static variable in class org.apache.commons.httpclient.HttpConstants
Deprecated. Default content encoding chatset
DEFAULT_CONTENT_TYPE - Static variable in class org.apache.commons.httpclient.methods.multipart.FilePart
Default content encoding of file attachments.
DEFAULT_CONTENT_TYPE - Static variable in class org.apache.commons.httpclient.methods.multipart.StringPart
Default content encoding of string parameters.
DEFAULT_HEADERS - Static variable in class org.apache.commons.httpclient.params.HostParams
Defines the request headers to be sent per default with each request.
DEFAULT_MAX_HOST_CONNECTIONS - Static variable in class org.apache.commons.httpclient.MultiThreadedHttpConnectionManager
The default maximum number of connections allowed per host
DEFAULT_MAX_TOTAL_CONNECTIONS - Static variable in class org.apache.commons.httpclient.MultiThreadedHttpConnectionManager
The default maximum number of connections allowed overall
DEFAULT_PORT - Static variable in class org.apache.commons.httpclient.HttpsURL
Default port for HTTPS URL.
DEFAULT_PORT - Static variable in class org.apache.commons.httpclient.HttpURL
Default port for HTTP URL.
DEFAULT_SCHEME - Static variable in class org.apache.commons.httpclient.HttpsURL
Default scheme for HTTPS URL.
DEFAULT_SCHEME - Static variable in class org.apache.commons.httpclient.HttpURL
Default scheme for HTTP URL.
DEFAULT_TRANSFER_ENCODING - Static variable in class org.apache.commons.httpclient.methods.multipart.FilePart
Default transfer encoding of file attachments.
DEFAULT_TRANSFER_ENCODING - Static variable in class org.apache.commons.httpclient.methods.multipart.StringPart
Default transfer encoding of string parameters
defaultDocumentCharset - Static variable in class org.apache.commons.httpclient.URI
The default charset of the document.
defaultDocumentCharsetByLocale - Static variable in class org.apache.commons.httpclient.URI
 
defaultDocumentCharsetByPlatform - Static variable in class org.apache.commons.httpclient.URI
 
DefaultHttpMethodRetryHandler - Class in org.apache.commons.httpclient
The default HttpMethodRetryHandler used by HttpMethods.
DefaultHttpMethodRetryHandler(int, boolean) - Constructor for class org.apache.commons.httpclient.DefaultHttpMethodRetryHandler
Creates a new DefaultHttpMethodRetryHandler.
DefaultHttpMethodRetryHandler() - Constructor for class org.apache.commons.httpclient.DefaultHttpMethodRetryHandler
Creates a new DefaultHttpMethodRetryHandler that retries up to 3 times but does not retry methods that have successfully sent their requests.
DefaultHttpParams - Class in org.apache.commons.httpclient.params
This class represents a collection of HTTP protocol parameters.
DefaultHttpParams(HttpParams) - Constructor for class org.apache.commons.httpclient.params.DefaultHttpParams
Creates a new collection of parameters with the given parent.
DefaultHttpParams() - Constructor for class org.apache.commons.httpclient.params.DefaultHttpParams
Creates a new collection of parameters with the collection returned by DefaultHttpParams.getDefaultParams() as a parent.
DefaultHttpParamsFactory - Class in org.apache.commons.httpclient.params
 
DefaultHttpParamsFactory() - Constructor for class org.apache.commons.httpclient.params.DefaultHttpParamsFactory
 
DefaultMethodRetryHandler - Class in org.apache.commons.httpclient
Deprecated. use DefaultHttpMethodRetryHandler
DefaultMethodRetryHandler() - Constructor for class org.apache.commons.httpclient.DefaultMethodRetryHandler
Deprecated.  
defaultProtocolCharset - Static variable in class org.apache.commons.httpclient.URI
The default charset of the protocol.
DefaultProtocolSocketFactory - Class in org.apache.commons.httpclient.protocol
The default class for creating protocol sockets.
DefaultProtocolSocketFactory() - Constructor for class org.apache.commons.httpclient.protocol.DefaultProtocolSocketFactory
Constructor for DefaultProtocolSocketFactory.
deleteClosedConnections() - Method in class org.apache.commons.httpclient.MultiThreadedHttpConnectionManager
Deletes all closed connections.
DeleteMethod - Class in org.apache.commons.httpclient.methods
Implements the HTTP DELETE method.
DeleteMethod() - Constructor for class org.apache.commons.httpclient.methods.DeleteMethod
No-arg constructor.
DeleteMethod(String) - Constructor for class org.apache.commons.httpclient.methods.DeleteMethod
Constructor specifying a URI.
delims - Static variable in class org.apache.commons.httpclient.URI
BitSet for delims.
DIGEST - Static variable in class org.apache.commons.httpclient.auth.AuthPolicy
Digest authentication scheme as defined in RFC2617.
DigestScheme - Class in org.apache.commons.httpclient.auth
Digest authentication scheme as defined in RFC 2617.
DigestScheme() - Constructor for class org.apache.commons.httpclient.auth.